<!DOCTYPE html>
<html lang="en"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>
<div class="main-content" layout:fragment="main">
    <section class="section">
        <div class="section-header">
            <h1>Peminjaman Sapras</h1>
        </div>
        <div class="section-body">
            <div class="row">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="alert alert-danger alert-dismissible fade show" role="alert" th:if="${gagal != null}">
                                        Ruangan sudah digunakan
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                    <div class="alert alert-primary">
                                        <div class="row">
                                            <div class="col-md-8">
                                                <p>Sebelum mengajukan peminjaman ruangan silahkan mengecek jadwal peminjaman ruangan terlebih dahulu.</p>
                                            </div>
                                            <div class="col-md-4 text-right">
                                                <button type="button"
                                                        class="btn btn-outline-white btn-sm" data-toggle="modal" th:data-target="${'#exampleModal'}">
                                                    <i class="fa fa-plus-circle"></i> Pengajuan Peminjaman Ruangan
                                                </button>
                                                <!-- Modal -->
                                                <div class="modal fade" th:id="${'exampleModal'}" data-backdrop="false"  role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                                    <div class="modal-dialog" role="document">
                                                        <form th:action="@{/request/peminjamanSapras/pinjamRuangan}" method="post" enctype="multipart/form-data">
                                                            <div class="modal-content">
                                                                <div class="modal-header">
                                                                    <h5 class="modal-title" style="color: #0a0a0b;">Pengajuan Peminjaman Ruangan</h5>
                                                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                                        <span aria-hidden="true">&times;</span>
                                                                    </button>
                                                                </div>
                                                                <div class="modal-body text-left">
                                                                    <div class="form-group">
                                                                        <label>Ruangan</label>
                                                                        <select name="ruangan" required class="form-control select2">
                                                                            <option value="" selected disabled>-- Pilih Salah Satu --</option>
                                                                            <option th:each="data, row:${ruangan}"
                                                                                    th:text="${data.namaRuangan}"
                                                                                    th:value="${data.id}"></option>
                                                                        </select>
                                                                    </div>
                                                                    <div class="form-group">
                                                                        <label>Kegiatan</label>
                                                                        <input type="text" name="kegiatan" required class="form-control">
                                                                    </div>
                                                                    <div class="form-group">
                                                                        <label>Lampiran Surat <span style="color: red; font-size: 10px;">* file berbentuk pdf atau jpg, jpeg</span></label>
                                                                        <input type="file" name="image" class="form-control" required>
                                                                    </div>
                                                                    <div class="form-group">
                                                                        <label>Tanggal</label>
                                                                        <input type="date" class="form-control" required name="tanggalPeminjaman">
                                                                    </div>
                                                                    <div class="form-group">
                                                                        <label>Jam Mulai</label>
                                                                        <input type="time" class="form-control" required name="waktuPeminjamanMulaiString">
                                                                    </div>
                                                                    <div class="form-group">
                                                                        <label>Jam Berakhir</label>
                                                                        <input type="time" class="form-control" required name="waktuPeminjamanBerakhirString">
                                                                    </div>
                                                                </div>
                                                                <div class="modal-footer">
                                                                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Batal</button>
                                                                    <button type="submit" class="btn btn-primary">Ajukan</button>
                                                                </div>
                                                            </div>
                                                        </form>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <br>
                            <div class="row">
                                <div class="col-md-12 col-xs-12">
                                    <form action="" method="get">
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label>Bulan</label>
                                                    <select name="bulan" class="form-control">
                                                        <option selected disabled>&#45;&#45; Pilih Salah Satu</option>
                                                        <option value="01">Januari</option>
                                                        <option value="02">Februari</option>
                                                        <option value="03">Maret</option>
                                                        <option value="04">April</option>
                                                        <option value="05">Mei</option>
                                                        <option value="06">Juni</option>
                                                        <option value="07">Juli</option>
                                                        <option value="08">Agustus</option>
                                                        <option value="09">September</option>
                                                        <option value="10">Oktober</option>
                                                        <option value="11">November</option>
                                                        <option value="12">Desember</option>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label>Tahun</label>
                                                    <input type="text" th:value="${tahun}" class="form-control" name="tahun">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-12 text-center">
                                                <button class="btn btn-info">Cari</button>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive">
                                <h5>Data :  <span th:text="${namaBulan + ' ' + tahun}"></span></h5>
                                <table class="table table-striped">
                                    <thead>
                                    <tr>
                                        <th>Tanggal</th>
                                        <th th:each="data, row:${ruangan}"><span th:text="${data.namaRuangan}"></span></th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <tr th:each="date ,i: ${#numbers.sequence(1, tanggal)}">
                                        <td th:if="${date >= 10}" th:text="${date}"></td>
                                        <td th:if="${date <= 9}" th:text="${'0' + date}"></td>
                                        <td th:each="data, row:${ruangan}">
                                            <div th:each="dataPeminjaman, row:${peminjamanRuangan}">
                                                <div th:if="${data.id == dataPeminjaman.ruangan.id}">
<!--                                                    waiting-->
                                                    <button class="btn btn-sm btn-warning"
                                                            th:if="${date >= 10 && #strings.toString(date) == #strings.substring(dataPeminjaman.tanggalPeminjaman ,8,10) && dataPeminjaman.statusPeminjaman == 'WAITING'}">WAITING</button>
                                                    <button class="btn btn-sm btn-warning"
                                                            th:if="${date <= 9 && #strings.toString('0' + date) == #strings.substring(dataPeminjaman.tanggalPeminjaman ,8,10) && dataPeminjaman.statusPeminjaman == 'WAITING'}">WAITING</button>
<!--                                                    approved-->
                                                    <button class="btn btn-sm btn-success"
                                                            th:if="${date >= 10 && #strings.toString(date) == #strings.substring(dataPeminjaman.tanggalPeminjaman ,8,10) && dataPeminjaman.statusPeminjaman == 'APPROVED'}">APPROVED</button>
                                                    <button class="btn btn-sm btn-success"
                                                            th:if="${date <= 9 && #strings.toString('0' + date) == #strings.substring(dataPeminjaman.tanggalPeminjaman ,8,10) && dataPeminjaman.statusPeminjaman == 'APPROVED'}">APPROVED</button>
                                                </div>

                                            </div>
                                        </td>
                                    </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>

</body>

</html>